import * as React from 'react';
import { View, Text, Pressable, StyleSheet } from 'react-native';
import { render, fireEvent } from '@testing-library/react-native';
import Profile from '../Components/Profile'

const styles = StyleSheet.create({
  viewStyleVertical : { alignItems: 'center', justifyContent: 'center', margin: '10%' },
  viewStyleHorizon : { flex: 1, flexDirection: 'row', justifyContent: 'space-between'},
  pressableStyle : {flex: 1, flexDirection: 'row', justifyContent: 'space-between', backgroundColor:'lavender', paddingHorizontal:20, 
  paddingVertical:10, borderColor:'thistle', borderWidth:2, borderRadius:5, marginHorizontal: 10, marginTop: 10},
  image: { flex: 1, resizeMode: "cover", justifyContent: "center"},
  container : {flex: 1},
  textBox : {flex: 1, marginTop: 20, backgroundColor:'white', borderColor:'black', borderWidth:2, borderRadius:5, 
  marginHorizontal: 10, paddingVertical:10, paddingHorizontal: 50, alignItems: 'flex-start'}
});

test('Followers button should trigger navigating', () => {
  const push = jest.fn()
  const dataFile = {
    iconUrl: "https://avatars.githubusercontent.com/u/42978932?u=b4a7beb2752bb6059cd13d12ca26d097767abf77&v=4",
      nameContent: null,
      userNameContent: null,
      bioContent: null,
      websiteLink: null,
      emailContent: null,
      createData: null,
      repoCount: 0,
      navi: {push},
      login: "test1"
  }
  const { getByText } = render(
    <Profile data={dataFile} />
  );

  fireEvent.press(getByText(' Followers '));
  expect(push).toHaveBeenNthCalledWith(1, "LoadingFollowers" ,{"login": "test1"});
})

test('Following button should trigger navigating', () => {
  const push = jest.fn()
  const dataFile = {
    iconUrl: "https://avatars.githubusercontent.com/u/42978932?u=b4a7beb2752bb6059cd13d12ca26d097767abf77&v=4",
      nameContent: null,
      userNameContent: null,
      bioContent: null,
      websiteLink: null,
      emailContent: null,
      createData: null,
      repoCount: 0,
      navi: {push},
      login: "test2"
  }
  const { getByText } = render(
    <Profile data={dataFile} />
  );

  fireEvent.press(getByText(' Followings '));
  expect(push).toHaveBeenNthCalledWith(1, "LoadingFollowing", {"login": "test2"});
})