import 'react-native';
import renderer from 'react-test-renderer';
import LoadFollowersScreenModule from  '../Components/LoadFollowersScreenModule'

beforeEach(() => {
  fetch.resetMocks();
});

/** Testing Loading View of Followers with Empty avatarUrl link */
test('In the case that a user has no avatarUrl, its avatar should be a default one set in main page', () => {
    fetch.mockResponseOnce(JSON.stringify({
      data: {
        user: {
          login: "HenryShan",
          followers: {
            nodes: [{
              name: "RX-78-2",
              login: "G plan",
              avatarUrl: null
            }]
          }
        }
      }
    }));
    const login = "HenryShan"
    const envData = require('C:/Coding/cs242-assignment3/env.json')
    const endPoint = envData['endPoint']
    const token = envData['token']
    const navigation = { push: jest.fn() };
    const tree = renderer.create(
       LoadFollowersScreenModule(login, endPoint, token, navigation)
    ).toJSON();
    expect(tree).toMatchSnapshot();
  }, 70000);

  /** Testing the loading view of followers when the followers value is empty, a textbox should be shown and informing this */
  test('In the case that a user has no avatarUrl, its avatar should be a default one set in main page', () => {
    fetch.mockResponseOnce(JSON.stringify({
      data: {
        user: {
          login: "HenryShan",
          followers: {
            nodes: [{}]
          }
        }
      }
    }));
    const login = "HenryShan"
    const envData = require('C:/Coding/cs242-assignment3/env.json')
    const endPoint = envData['endPoint']
    const token = envData['token']
    const navigation = { push: jest.fn() };
    const tree = renderer.create(
       LoadFollowersScreenModule(login, endPoint, token, navigation)
    ).toJSON();
    expect(tree).toMatchSnapshot();
  }, 70000);