import 'react-native';
import renderer from 'react-test-renderer';
import Following from '../Components/Following';

beforeEach(() => {
    fetch.resetMocks();
  });

test('renders correctly', () => {
    fetch.mockResponseOnce(JSON.stringify({
      data: {
        user: {
            login: "HenryShan",
            following: {
                nodes: [{
                    name: "RX-78-2",
                    login: "G plan",
                    avatarUrl: "https://images-wixmp-ed30a86b8c4ca887773594c2.wixmp.com/f/7b10552b-57d8-42a7-8dba-d4aaad8e7c82/"
                    + "d7p3uno-38b831f7-4933-4f09-b366-b951231e1751.jpg?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJ"
                    +"1cm46YXBwOiIsImlzcyI6InVybjphcHA6Iiwib2JqIjpbW3sicGF0aCI6IlwvZlwvN2IxMDU1MmItNTdkOC00MmE3LThkYmEtZDRhYWFk"
                    +"OGU3YzgyXC9kN3AzdW5vLTM4YjgzMWY3LTQ5MzMtNGYwOS1iMzY2LWI5NTEyMzFlMTc1MS5qcGcifV1dLCJhdWQiOlsidXJuOnNlcnZpY2"
                    +"U6ZmlsZS5kb3dubG9hZCJdfQ.PsPJAzWqHC1z07YMdxE4zYtFuUMXCtEMMI6VRr7Hq-k"
                }]
            }
        }
      }
    }));
    const login = "HenryShan"
    const envData = require('C:/Coding/cs242-assignment3/env.json')
    const endPoint = envData['endPoint']
    const token = envData['token']
    const navigation = { push: jest.fn() };
    fetch(endPoint, {
        method: 'POST',
        headers: {
          "Content-Type": "application/json",
          "Authorization": token
        },
        body: JSON.stringify({
          query: `
            query {
              user(login:"`+ login +`"){
                login
                followers(last:100) {
                  nodes {
                    name
                    login
                    avatarUrl
                  }
                }
              }
            }
          `
        })
      })
      .then(res => res.json())
      .then((data)=> {
        if (data['data']['user'] === null) {
          /** User not found! **/
          navigation.push('Unfound', {errorMsg: 'Error, cannot find the github user by the login username:' + login + ', maybe this is an organization! \n Also maybe your internet was unstable'})
        } else {
        //   navigation.push('Followers', data['data']['user'])
          const tree = renderer.create(
             Following(data['data']['user'], navigation)
          ).toJSON();
          expect(tree).toMatchSnapshot();
        }
      })
      .catch(error => {
        navigation.push('Unfound', {errorMsg: 'Error: ' + error})
      })
    
    
  }, 70000);