import 'react-native';
import renderer from 'react-test-renderer';
import LoadFollowingScreenModule from  '../Components/LoadFollowingScreenModule'

beforeEach(() => {
    fetch.resetMocks();
  });

  /** Testing Loading View for Following */
  test('renders correctly', () => {
    fetch.mockResponseOnce(JSON.stringify({
        data: {
            user: {
                login: "HenryShan",
                following: {
                    nodes: [{
                        name: "RX-78-2",
                        login: "G plan",
                        avatarUrl: "https://images-wixmp-ed30a86b8c4ca887773594c2.wixmp.com/f/7b10552b-57d8-42a7-8dba-d4aaad8e7c82/"
                        + "d7p3uno-38b831f7-4933-4f09-b366-b951231e1751.jpg?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJ"
                        +"1cm46YXBwOiIsImlzcyI6InVybjphcHA6Iiwib2JqIjpbW3sicGF0aCI6IlwvZlwvN2IxMDU1MmItNTdkOC00MmE3LThkYmEtZDRhYWFk"
                        +"OGU3YzgyXC9kN3AzdW5vLTM4YjgzMWY3LTQ5MzMtNGYwOS1iMzY2LWI5NTEyMzFlMTc1MS5qcGcifV1dLCJhdWQiOlsidXJuOnNlcnZpY2"
                        +"U6ZmlsZS5kb3dubG9hZCJdfQ.PsPJAzWqHC1z07YMdxE4zYtFuUMXCtEMMI6VRr7Hq-k"
                    }]
                }
            }
        }
    }));
    const login = "HenryShan"
    const envData = require('C:/Coding/cs242-assignment3/env.json')
    const endPoint = envData['endPoint']
    const token = envData['token']
    const navigation = { push: jest.fn() };
    const tree = renderer.create(
        LoadFollowingScreenModule(login, endPoint, token, navigation)
    ).toJSON();
    expect(tree).toMatchSnapshot();
  }, 70000);
  